# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringHArray1OfReal Class Reference

Extension of TDataStd_DataMapOfStringHArray1OfReal class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringHArray1OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringHArray1OfReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringHArray1OfReal (const TDataStd_DataMapOfStringHArray1OfReal &theOther)
const TDataStd_DataMapOfStringHArray1OfReal & | Map () const
TDataStd_DataMapOfStringHArray1OfReal & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringHArray1OfReal | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringHArray1OfReal::TDataStd_HDataMapOfStringHArray1OfReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringHArray1OfReal::TDataStd_HDataMapOfStringHArray1OfReal | ( | const TDataStd_DataMapOfStringHArray1OfReal & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringHArray1OfReal & TDataStd_HDataMapOfStringHArray1OfReal::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringHArray1OfReal & TDataStd_HDataMapOfStringHArray1OfReal::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringHArray1OfReal TDataStd_HDataMapOfStringHArray1OfReal::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringHArray1OfReal.hxx
- TDataStd_HDataMapOfStringHArray1OfReal.lxx